
ChiliProject - Bug # 1007: Right clicking on item in roadmap displays menu at incorrect position

Status: Closed Priority: Normal
Author: Tom Rochette Category: User interface
Created: 2012-05-02 Assignee:
Updated: 2012-05-19 Due date:
Remote issue URL:
Affected version: 3.1.0
Description: If you have enough content in the roadmap page so that you can scroll down and right click on an item, the 

menu will be displayed incorrectly at the top of the page instead of close to where you clicked.

Tested on Google Chrome 18.

Repro steps:

1. Go to 
https://www.chiliproject.org/projects/chiliproject/roadmap?tracker_ids%5B%5D=1&tracker_ids%5B%5D=2&tra
cker_ids%5B%5D=4&completed=1 (for example)
2. Scroll down the page
3. Right click on an issue part of a version
4. Menu is loaded and appears at the top of the page instead of close to the cursor

Associated revisions
2009-05-17 02:59 pm - Jean-Philippe Lang 
Ability to allow non-admin users to create projects (#1007).

This can be enabled in permissions settings. A non-admin user who creates a project is automatically added as a project member (the first role is 
given, TODO: make this given role configurable).
Projects can be added from the public projects list.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2750 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-05-17 04:35 pm - Jean-Philippe Lang 
Adds a setting to choose which role is given to a non-admin user who creates a project (#1007).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2754 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-05-19 11:52 am - Andrew Smith 
Fix a typo when calculating the menu X position. #1007

History
2012-05-19 08:46 am - Felix Schäfer
Andrew, could I ask you to have a look at this one too? Thanks!

2012-05-19 09:57 am - Felix Schäfer
- Status changed from Open to Closed

Merged in commit:9cd14ca, thanks a lot Andrew!

2012-05-19 09:57 am - Felix Schäfer
- Target version set to 3.2.0
(pull request is here: https://github.com/chiliproject/chiliproject/pull/194)
